vbi_local_time Struct Reference

## Data Fields

time_t | time
int | seconds_east
vbi_bool | seconds_east_valid
vbi_dst_state | dst_state

## Field Documentation

## time

time_t vbi_local_time::time

The current time in the UTC zone.

## seconds_east

int vbi_local_time::seconds_east

The offset of the time zone of the intended audience of the network in seconds east of UTC. For example the EST zone is offset by -18000, GMT by 0, and CET by +3600 seconds. An additional +3600 second daylight-saving time offset may have been added as specified by dst_state, giving for example an EDT offset of -14400 seconds.

## seconds_east_valid

vbi_bool vbi_local_time::seconds_east_valid

If FALSE, the network does not provide a time zone offset.

## dst_state

vbi_dst_state vbi_local_time::dst_state

Whether daylight-saving time is currently in effect in the time zone of the intended audience of the network.